// -*- C++ -*-
//
// gsim_utils.cc
// Utility function
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Fri Apr 20 15:44:51 JST 2001
//
// $Id: GsimUtils.h,v 1.1.1.1 2002/08/13 12:48:08 kensh Exp $
//
// Revision History
//
// $Log: GsimUtils.h,v $
// Revision 1.1.1.1  2002/08/13 12:48:08  kensh
//
//
// Start version.
//
//

#ifndef GSIM_UTILS_H_INCLUDED
#define GSIM_UTILS_H_INCLUDED

#include <time.h>
#include <sys/times.h>
#include <unistd.h>


////////////////
void  DumpVolume();


////////////////
inline double
CPUtime()
{
  struct tms  timbuf;
  times( &timbuf );
  return( (double)timbuf.tms_utime / sysconf(_SC_CLK_TCK) );
}


#endif // GSIM_UTILS_H_INCLUDED
